# Form implementation generated from reading ui file 'src/eric7/MicroPython/NtpParametersDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_NtpParametersDialog(object):
    def setupUi(self, NtpParametersDialog):
        NtpParametersDialog.setObjectName("NtpParametersDialog")
        NtpParametersDialog.resize(450, 172)
        NtpParametersDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(NtpParametersDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=NtpParametersDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.serverEdit = QtWidgets.QLineEdit(parent=NtpParametersDialog)
        self.serverEdit.setClearButtonEnabled(True)
        self.serverEdit.setObjectName("serverEdit")
        self.gridLayout.addWidget(self.serverEdit, 0, 1, 1, 2)
        self.label_2 = QtWidgets.QLabel(parent=NtpParametersDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.tzOffsetSpinBox = QtWidgets.QSpinBox(parent=NtpParametersDialog)
        self.tzOffsetSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.tzOffsetSpinBox.setMinimum(-12)
        self.tzOffsetSpinBox.setMaximum(12)
        self.tzOffsetSpinBox.setObjectName("tzOffsetSpinBox")
        self.gridLayout.addWidget(self.tzOffsetSpinBox, 1, 1, 1, 1)
        self.dstCheckBox = QtWidgets.QCheckBox(parent=NtpParametersDialog)
        self.dstCheckBox.setObjectName("dstCheckBox")
        self.gridLayout.addWidget(self.dstCheckBox, 1, 2, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=NtpParametersDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.timeoutSpinBox = QtWidgets.QSpinBox(parent=NtpParametersDialog)
        self.timeoutSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.timeoutSpinBox.setMinimum(5)
        self.timeoutSpinBox.setMaximum(15)
        self.timeoutSpinBox.setProperty("value", 10)
        self.timeoutSpinBox.setObjectName("timeoutSpinBox")
        self.gridLayout.addWidget(self.timeoutSpinBox, 2, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(250, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 2, 2, 1, 1)
        self.rememberCheckBox = QtWidgets.QCheckBox(parent=NtpParametersDialog)
        self.rememberCheckBox.setObjectName("rememberCheckBox")
        self.gridLayout.addWidget(self.rememberCheckBox, 3, 0, 1, 3)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=NtpParametersDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok|QtWidgets.QDialogButtonBox.StandardButton.RestoreDefaults)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 4, 0, 1, 3)

        self.retranslateUi(NtpParametersDialog)
        self.buttonBox.accepted.connect(NtpParametersDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(NtpParametersDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(NtpParametersDialog)
        NtpParametersDialog.setTabOrder(self.serverEdit, self.tzOffsetSpinBox)
        NtpParametersDialog.setTabOrder(self.tzOffsetSpinBox, self.dstCheckBox)
        NtpParametersDialog.setTabOrder(self.dstCheckBox, self.timeoutSpinBox)
        NtpParametersDialog.setTabOrder(self.timeoutSpinBox, self.rememberCheckBox)

    def retranslateUi(self, NtpParametersDialog):
        _translate = QtCore.QCoreApplication.translate
        NtpParametersDialog.setWindowTitle(_translate("NtpParametersDialog", "NTP Parameter"))
        self.label.setText(_translate("NtpParametersDialog", "NTP Server:"))
        self.serverEdit.setToolTip(_translate("NtpParametersDialog", "Enter the name of the NTP server."))
        self.label_2.setText(_translate("NtpParametersDialog", "Time Zone Offset:"))
        self.tzOffsetSpinBox.setToolTip(_translate("NtpParametersDialog", "Enter the time zone offset to UTC."))
        self.tzOffsetSpinBox.setSuffix(_translate("NtpParametersDialog", " h"))
        self.dstCheckBox.setToolTip(_translate("NtpParametersDialog", "Select to indicate that daylight savings is in effect (i.e. 1h plus to UTC)."))
        self.dstCheckBox.setText(_translate("NtpParametersDialog", "Is Daylight Savings"))
        self.label_3.setText(_translate("NtpParametersDialog", "Timeout:"))
        self.timeoutSpinBox.setToolTip(_translate("NtpParametersDialog", "Enter the timeout in seconds."))
        self.timeoutSpinBox.setSuffix(_translate("NtpParametersDialog", " s"))
        self.rememberCheckBox.setToolTip(_translate("NtpParametersDialog", "Select to remember the entered NTP parameters."))
        self.rememberCheckBox.setText(_translate("NtpParametersDialog", "Remember Parameters"))
